## amarok 2.3.0

=== debian/changelog ===
amarok (2:2.3.0-0ubuntu4) lucid; urgency=low

  [ Scott Kitterman ]
  * Add amarok replaces amarok-common (<< 2:2.0.2) for better upgrade support

  [ Alessandro Ghersi ]
  * amarok-utils replaces amarok (<= 2:2.2.0-0ubuntu2) (LP: #556535)

  [ Harald Sitter ]
  * In kubuntu/03_restricted_install.diff send the translated programName
    to the restrictedInstall interface instead of a hardcoded name
    + Get rid of unused var warning due to this patch

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 08 Apr 2010 18:04:54 +0200

amarok (2:2.3.0-0ubuntu3) lucid; urgency=low

  [ Christian Mangold ]
  * Add 08_crash_fix_info_applet.diff as suggested upstream. It fixes a 
    crash on startup when info applet is enabled and can be removed 
    after Qt 4.6.3 is in the archive.

  [ Jonathan Riddell ]
  * Remove debian-changes-2:2.3.0-0ubuntu2

 -- Christian Mangold <neversfelde@ubuntu.com>  Mon, 29 Mar 2010 19:34:02 +0200

amarok (2:2.3.0-0ubuntu2) lucid; urgency=low

  * Update 05_kstatusnotifieritem.diff from Aurelien Gateau, allows icon
    overlay in systray
  * Add 05_kstatusnotifieritem_gnome_support.diff from Aurelien Gateau,
    workaround limited Gnome support in new systray

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 29 Mar 2010 13:27:27 +0100

amarok (2:2.3.0-0ubuntu1) lucid; urgency=low

  [ Mackenzie Morgan ]
  * New upstream release
    - LP: #395876, #438268, #447534, #456139, #466949, #343716, #521389, #540232
  * patches/kubuntu/06_mimetypes.diff: (LP: #191475)
    - Add x-content/audio-cdda and x-content/audio-player to src/amarok.desktop

  [ Jonathan Riddell ]
  * Update debian/patches/kubuntu/05_kstatusnotifieritem.diff from Aurelien Gateau

  [ Jonathan Thomas ]
  * Add kubuntu/07_dont_ask_music_dir.diff, since ~/Music is a sensible default
    that we set by, well, default (LP: #543463)

 -- Mackenzie Morgan <maco.m@ubuntu.com>  Thu, 11 Mar 2010 20:05:30 -0500

amarok (2:2.2.2.90-0ubuntu2) lucid; urgency=low

  * Add kubuntu/05_kstatusnotifieritem.diff from Aurelien Gateau, ports
    systray icon to KStatusNotifierItem, upstream merge
    http://gitorious.org/amarok/amarok/merge_requests/130

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Feb 2010 12:13:58 +0000

amarok (2:2.2.2.90-0ubuntu1) lucid; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 15 Feb 2010 17:35:42 +0000

amarok (2:2.2.2-0ubuntu1) lucid; urgency=low

  * New upstream release
  * Add patch kubuntu/04_scanning_crash.diff as advised by upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 11 Jan 2010 11:20:59 +0000

amarok (2:2.2.2~beta1-1ubuntu2) lucid; urgency=low

  * Build against new liblastfm

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 07 Jan 2010 19:25:59 +0000

amarok (2:2.2.2~beta1-1ubuntu1) lucid; urgency=low

  * Merge with Debian Experimental, remaining changes:
    - Keep conflicts/replaces on amarok-kde4* packages
    - Build-depend on GTK version of libgpod for coinstallability with
      kipi-plugins
    - Move libqt4-sql-sqlite from Suggests to Recommends
    - Make amarok-common Replace amarok (<< 2:2.0.0) to make 1.4 -> 2.x upgrades
      work properly
    - Keep the following patches:
      + kubuntu_03_restricted_install.diff
      + kubuntu_04_fix_playlist_layout.diff
  * Include /usr/lib/kubuntu-desktop-i18n/debhelper/kubuntu.mk in debian/rules
    for translations support in Kubuntu

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 03 Jan 2010 12:18:32 -0500

amarok (2:2.2.1.90-0ubuntu1) lucid; urgency=low

  * New upstream beta release
  * Remove 04_fix_playlist_layout.diff, merged upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 14 Dec 2009 14:37:38 +0000

amarok (2:2.2.1-0ubuntu2) lucid; urgency=low

  * Merge from Debian Unstable, remaining changes:
    - Build-depend on cdbs and libgtk-dev
    - Changed build-deps to depend on gtk version of libgpod so kpiti-plugins
      and other packages depending on the gtk version can co-exist
    - Keep conflicts/replaces on amarok-kde4* packages
    - Add 04_fix_playlist_layout.diff to fix playlist layout as
      per upstream request
    - Move libqt4-sql-sqlite from Suggests to Recommends (LP: #430105)
    - Make amarok-common Replace amarok (<< 2:2.0.0) to make 1.4 -> 2.x upgrades
      work properly (LP: #421389)
    - Bump amarok-util's replaces version on amarok to 0ubuntu3 (LP: #463426)
    - Keep the following patches:
      + kubuntu_03_restricted_install.diff
      + kubuntu_04_fix_playlist_layout.diff
   * amarok no longer replaces amarok-common (<< 2:2.1.1orig-0ubuntu2)
   * Don't use dpkg-source 3.0 format

 -- Christian Mangold <neversfelde@ubuntu.com>  Thu, 19 Nov 2009 19:47:03 +0100

amarok (2:2.2.1-0ubuntu1) lucid; urgency=low

  [Harald Sitter]
  * New upstream release
  * Drop 04_lyrics_script.diff (originated from upstream)
  * Rename mysqle_linkage_fix.diff to mysql_linkage_fix.diff
    and sync with Debian
  * Add 04_fix_playlist_layout.diff to fix playlist layout as
    per upstream request

  [Christian Mangold]
  * Update amarok-common.install with 
    usr/share/kde4/apps/amarok/amarok.notifyrc 

 -- Christian Mangold <neversfelde@ubuntu.com>  Sun, 15 Nov 2009 22:07:55 +0100

amarok (2:2.2.0-0ubuntu3) lucid; urgency=low

  * Make amarok-common Replace amarok (<< 2:2.0.0) to make 1.4 -> 2.x upgrades
    work properly (LP: #421389)
  * Make amarok-common no longer replace/conflict mysql-server-data-5.1, as
    the package no longer exists
  * Bump amarok-util's replaces version on amarok to 0ubuntu3 (LP: #463426)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 02 Nov 2009 11:02:56 -0500

amarok (2:2.2.0-0ubuntu2) karmic; urgency=low

  * Add 04_lyrics_script.diff from upstream, remove adverts in lyrics

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 08 Oct 2009 11:08:11 +0100

amarok (2:2.2.0-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Christian Mangold <neversfelde@ubuntu.com>  Mon, 28 Sep 2009 20:43:54 +0200

