=== debian/control ===
Source: amarok
Section: sound
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@ubuntu.com>
XSBC-Original-Maintainer: Modestas Vainius <modax@debian.org>
Build-Depends: debhelper (>= 7.3.16), cmake (>= 2.6.2), pkg-kde-tools (>= 0.5),
 libtag1-dev (>= 1.6-2~), libtag-extras-dev (>= 1.0.1),
 kdelibs5-dev (>= 4:4.2.0), libsoprano-dev (>= 2.1.67),
 libstreamanalyzer-dev (>= 0.6.3), libstrigiqtdbusclient-dev (>= 0.6.3),
 libnjb-dev, libifp-dev, libmtp-dev (>= 0.3.0),
 libglib2.0-dev, libgpod-dev,
 libmysqld-pic (>= 5.1.36-2), libwrap0-dev,
 libqt4-opengl-dev, libcurl4-gnutls-dev, libxml2-dev, libloudmouth1-dev,
 libgtk2.0-dev, kdemultimedia-dev (>= 4:4.2.0), libqca2-dev, liblastfm-dev (>= 0.4.0~git20090710-1)
Build-Depends-Indep: mysql-server-5.1 (>= 5.1.26rc)
Standards-Version: 3.8.3
Homepage: http://amarok.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/amarok/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/amarok/ubuntu

Package: amarok
Architecture: any
Depends: amarok-common (= ${source:Version}), amarok-utils (= ${binary:Version}), phonon-backend-xine | phonon-backend,
 ${shlibs:Depends}, ${misc:Depends},
 libqtscript4-core, libqtscript4-gui, libqtscript4-network, libqtscript4-xml, libqtscript4-sql, libqtscript4-uitools
Recommends: kdemultimedia-kio-plugins (>= 4:4.2.0), libqt4-sql-sqlite
Suggests: libxine1-ffmpeg, libqt4-sql-mysql, libqt4-sql-psql
Replaces: amarok-kde4, amarok-common (<< 2:2.0.2)
Conflicts: amarok-engine-xine (<< 2), amarok-engine-yauap (<< 2), amarok-kde4
Description: easy to use media player based on the KDE 4 technology platform
 Amarok is a powerful music player with an intuitive interface. It makes
 playing the music you love and discovering new music easier than ever before
 and it looks good doing it! Amarok is based on the powerful Qt4 / KDE4
 technology platform and nicely integrates with KDE desktop.
 .
 Much work has been invested into integrating Amarok 2 with various Web
 services:
   - Ampache
   - Jamendo Service
   - Last.fm
   - Librivox
   - MP3tunes
   - Magnatune
   - OPML Podcast Directory
 .
 Amarok comes with a lot of features including but not limited to:
   - Scripts - enhance your Amarok experience with community developed scripts.
   - Dynamic Playlists - create playlists that automatically update.
   - Context View - customize interface with the Plasma powered Context View.
   - PopUp Dropper - simplify drag&drop actions with revolutionary menu system.
   - Multiple Language Translations
   - Collection Management - organizing your music collection has never been
     easier with Amarok's powerful tagging, renaming, and sorting abilities.
   - Database Importing - import collections from Amarok 1.4 or iTunes.
   - Scriptable Services - integrate other web services into Amarok.

Package: amarok-common
Architecture: all
Depends: ${misc:Depends}
Recommends: amarok (>= ${source:Version})
Replaces: amarok-kde4, amarok (<< 2:2.0.0)
Conflicts: amarok-kde4
Description: architecture independent files for Amarok
 This package contains architecture independent files needed for Amarok to run
 properly. Therefore, unless you have 'amarok' package of the same version
 installed, you will hardly find this package useful.

Package: amarok-utils
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: amarok (<= 2:2.2.0-0ubuntu2)
Description: utilities for Amarok media player
 This package contains command line utilities that are typically used by Amarok
 media player but might also be useful on systems without Amarok installed.
 They are designed to be lightweight as they do not depend on KDE libraries.
 .
 Currently the package contains the following utilities:
   - amarokcollectionscanner - scans audio files, collects information from
     file tags and prints it in the structured XML format.
   - amarok_afttagger - a helper program which writes/removes custom tags
     to/from media files required for embedded "Amarok File Tracking".

Package: amarok-dbg
Priority: extra
Section: debug
Architecture: any
Depends: amarok (= ${binary:Version}), ${misc:Depends}
Replaces: amarok-kde4-dbg
Conflicts: amarok-kde4-dbg
Recommends: kdelibs5-dbg
Description: debugging symbols for Amarok
 This package provides debugging symbols for all binary packages built from
 amarok source package. It's highly recommended to have this package installed
 before reporting any Amarok crashes to either Amarok developers or Debian
 package maintainers.
